For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Infrastructure Automation with Temporal
      • Temporal Deployment Process
      • Temporal CLI
      • Workflows for Day 2 Operations
      • Temporal API
        • GETHealthcheck
        • GETRBAC Config Status
        • GETCurrent User Info
          • GETGet Devices
          • GETGet Device ID by Name
          • GETGet Device Password Users
          • GETGet Secret Types for Device
          • GETGet Device Secrets
          • GETGet Diagnostics Commands
          • GETGet Locations
          • GETGet Roles
          • GETGet AIR Simulations
          • GETGet Sites
          • GETGet Statuses
          • GETGet Tenants
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemporal ServiceTemporal APIparameters

Get Devices

||View as Markdown|
GET
https://host.com/v1/parameter/device
GET
/v1/parameter/device
$curl -G https://host.com/v1/parameter/device \
> -H "Content-Type: application/json" \
> --data-urlencode "site=New York Data Center" \
> --data-urlencode "site=San Francisco Hub" \
> -d status=active \
> -d status=maintenance \
> -d role=sensor \
> -d role=controller \
> -d tenant=tenantA \
> -d tenant=tenantB \
> -d device_type_id=type123 \
> -d device_type_id=type456 \
> --data-urlencode "manufacturer=Acme Corp" \
> --data-urlencode "manufacturer=Globex Inc" \
> -d platform=Linux \
> -d platform=Windows
1[
2 {
3 "id": "device-001",
4 "name": "Temperature Sensor A1",
5 "platform": "Linux"
6 },
7 {
8 "id": "device-002",
9 "name": "Humidity Controller B2",
10 "platform": "Windows"
11 }
12]
Return a list of filtered devices.
Previous

Encode payloads

Next

Get Device ID by Name

Query parameters

sitelist of strings or nullOptional
statuslist of strings or nullOptional
rolelist of strings or nullOptional
tenantlist of strings or nullOptional
device_type_idlist of strings or nullOptional
manufacturerlist of strings or nullOptional
platformlist of strings or nullOptional

Response

Successful Response
idstring
namestring
platformstring or null

Errors

422
Unprocessable Entity Error